it-swarm.com.ru

как исправить ошибку "Не удалось записать дамп ядра. Дампы ядра были отключены" при запуске Java

я использую Eclipse для разработки веб-приложения, и у меня возникла проблема, когда я пытаюсь запустить свое приложение на сервере из Eclipse. 

#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007f41e4e610b0, pid=3463, tid=139924549404416
#
# JRE version: 7.0_09-b05
# Java VM: Java HotSpot(TM) 64-Bit Server VM (23.5-b02 mixed mode linux-AMD64 compressed oops)
# Problematic frame:
# C  [libwebkitgtk-1.0.so.0+0x11670b0]  void WTF::freeOwnedGPtr<_GdkEvent>(_GdkEvent*)+0x15e00
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# If you would like to submit a bug report, please visit:
#   http://bugreport.Sun.com/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

я погуглил его и нашел возможное решение здесь , которое предлагает: "Минимальный обходной путь - добавить -XX: LoopUnrollLimit = 1 в качестве аргумента." проблема в том, что я не знаю, где добавить этот аргумент и как его добавить. Кто-нибудь может мне помочь?

благодарю.

Правка: я обновил свой JDK с 1.7_9 до 1.7_40, но проблема остается на месте.

12
MoienGK

В linux mint 16, для меня, решением было изменить тему Eclipse с GTK на Classic и написать в Eclipse.ini это:

-Dorg.Eclipse.swt.browser.DefaultType=mozilla

11
postNuKe

я не знаю, применимо ли это решение ко всем или нет, но мне удалось решить эту проблему путем обновления моего Eclipse с Indigo на kepler.

5
MoienGK

Этот журнал ошибок выглядит как мой, который я получил, когда пытался открыть Eclipse Marketplace. Затмение просто закрылось после этого. Моя операционная система - Linux Mint Derbian, и я работаю с Eclipse Luna 4.4.1 . Я нашел этот совет на форуме Derbian, и он сработал для меня . Re: Eclipse Luna Crashed на XFCE

Я добавляю строку в Eclipse/eclipse.in:

--launcher.GTK_version
2

Надеюсь, это работает и для вас.

2
Erick Alves

Ответ Эрика Алвеса работает на меня. Я добавляю код 

--launcher.GTK_version 2

тогда ниже моего Eclipse.ini работает. 

--launcher.library
plugins/org.Eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20140603-1326
-product
org.Eclipse.epp.package.cpp.product
--launcher.defaultAction
openFile
-showsplash
--launcher.GTK_version
2
org.Eclipse.platform
--launcher.XXMaxPermSize
256m
--launcher.defaultAction
openFile
--launcher.appendVmargs
-startup
plugins/org.Eclipse.equinox.launcher_1.3.0.v20140415-2008.jar
-vmargs
-Dosgi.requiredJavaVersion=1.7
-XX:MaxPermSize=256m
-Xms40m
-Xmx512m
1
user3514722